Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class SignaturePtr

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.SignaturePtr

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class SignaturePtr

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="WhichDocument" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
           <attribute name="XPath" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignaturePtr()`

Method Summary
`Object` | `getWhichDocument()` Gets the value of the whichDocument property.
`String` | `getXPath()` Gets the value of the xPath property.
`void` | `setWhichDocument(Object value)` Sets the value of the whichDocument property.
`void` | `setXPath(String value)` Sets the value of the xPath property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignaturePtr

    public SignaturePtr()

Method Detail

### getWhichDocument

    public Object getWhichDocument()

  Gets the value of the whichDocument property.

  Returns:
    possible object is `Object`

### setWhichDocument

    public void setWhichDocument(Object value)

  Sets the value of the whichDocument property.

  Parameters:
    `value` - allowed object is `Object`

### getXPath

    public String getXPath()

  Gets the value of the xPath property.

  Returns:
    possible object is `String`

### setXPath

    public void setXPath(String value)

  Sets the value of the xPath property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.